next up previous
Nächste Seite: Funktionen Aufwärts: Die Programmiersprache Python Vorherige Seite: Dictionaries

Unterabschnitte

Ausnahmen

Meldung von Fehlerbedingungen die nicht lokal behoben werden können:
>>> f = open("/etc/passwd", "w")
Traceback (innermost last):
  File "<stdin>", line 1, in ?
IOError: [Errno 13] Permission denied: '/etc/passwd'

Erzeugung von Ausnahmen

raise fehler, nachricht

nachricht ist optional und wird normalerweise für Fehlermeldungen benutzt.

>>> raise StandardError, "Meldung"
Traceback (innermost last):
  File "<stdin>", line 1, in ?
StandardError: Meldung

Behandlung von Ausnahmen

Die erste Form der try-Anweisung hat den Aufbau:
try:
    anweisungssequenz1
except fehler, nachricht:
    anweisungssequenz2
else:
    anweisungssequenz3

Beispiel:

>>> try:
...     f = open("/etc/passwd", "w")
... except IOError, nachricht:
...     print "Fehler beim oeffnen der Datei:",  nachricht
... except:
...     print "Unerwarteter Fehler: \n", sys.exc_type, sys.exc_value;
... else:
...     print "Datei geoeffnet"
...
Fehler beim oeffnen der Datei: [Errno 13] Permission denied: '/etc/passwd'
Die zweite Form der try-Anweisung hat den Aufbau:
try:
    anweisungssequenz1
finally:
    anweisungssequenz2


Juergen Hoetzel 2000-07-04